Skip to main content
GET
List invoices

Authorizations

Authorization
string
header
required

Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.

Query Parameters

page
integer
default:1

Page number, 1-100,000 (default 1). Outside the range: 400 data-failed-validation with the constraint invalid-page.

Required range: 1 <= x <= 100000
perPage
integer
default:25

Items per page, 1-100 (default 25). Outside the range: 400 data-failed-validation with the constraint invalid-page.

Required range: 1 <= x <= 100
sort
string

One sort field; prefix - for descending (sort=field or sort=-field). Allowed: issueDate, dueDate, number, grossAmount, amountDue. Default -issueDate. The server appends id as a tie-breaker.

Example:

"-issueDate"

Case-insensitive search (at most 255 characters) over number.

Maximum string length: 255
filter[status]
enum<string>

Invoice status (equals).

Available options:
finalised,
sent,
partially-paid,
paid,
overdue,
void,
uncollectible
filter[status][in]
string

Invoice status (one of (comma-separated)). Comma-separated values.

filter[issueDate][gt]
string<date>

Issue date (download key) (greater than).

filter[issueDate][gte]
string<date>

Issue date (download key) (greater than or equal).

filter[issueDate][lt]
string<date>

Issue date (download key) (less than).

filter[issueDate][lte]
string<date>

Issue date (download key) (less than or equal).

filter[dueDate][gte]
string<date>

Due date (greater than or equal).

filter[dueDate][lte]
string<date>

Due date (less than or equal).

filter[serviceMonth]
string

Service month (equals).

Pattern: ^\d{4}-\d{2}$
filter[serviceMonth][in]
string

Service month (one of (comma-separated)). Comma-separated values.

filter[kind]
enum<string>

Invoice kind (equals).

Available options:
periodic,
final,
corrective,
cancellation
filter[kind][in]
string

Invoice kind (one of (comma-separated)). Comma-separated values.

filter[collectionMethod]
enum<string>

Collection method (equals).

Available options:
sepa-debit,
bank-transfer

Response

OK

Page envelope of Invoice items.

data
object
required

The page.